Get user details Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/adra-scim/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"SCIM 2 MCP server": {
  "url": "https://developer.adra.com/doc/adra-scim/mcp"
}
Close
GET /Users/{identifier}

Returns details of a specific user

Path parameters

  • identifier string Required

    Identifier of the user to retrieve

Query parameters

  • identifier string

Responses

  • 200 application/scim+json

    OK

    Hide response attributes Show response attributes object
    • enterpriseExtension object | null

      Additional properties are NOT allowed.

      Hide enterpriseExtension attribute Show enterpriseExtension attribute object | null
      • employeeNumber string | null
    • active boolean
    • electronicMailAddresses array[object]
      Hide electronicMailAddresses attributes Show electronicMailAddresses attributes object
      • value string | null
      • itemType string | null
      • primary boolean
    • locale string | null
    • meta object | null

      Additional properties are NOT allowed.

      Hide meta attribute Show meta attribute object | null
      • resourceType string | null
    • name object

      Additional properties are NOT allowed.

      Hide name attributes Show name attributes object
      • familyName string
      • givenName string
    • preferredLanguage string | null
    • timeZone string | null
    • title string | null
    • userName string
    • externalId string | null
    • schemas array[string] | null
  • 400 application/scim+json

    Bad Request

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 401 application/scim+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 403 application/scim+json

    Forbidden

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 404

    User not found

  • 500 application/scim+json

    Internal Server Error

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 501 application/scim+json

    Not Implemented

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
GET /Users/{identifier}
curl \
 --request GET 'https://setup.adratest.com/api/organizations/{organizationSid}/scim/Users/{identifier}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User",
    "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"
  ],
  "id": "9876fedc-ba09-8765-4321-0fedcba98765",
  "userName": "jsmith@example.com",
  "name": {
    "givenName": "John",
    "familyName": "Smith"
  },
  "emails": [
    {
      "value": "jsmith@example.com",
      "type": "work",
      "primary": true
    }
  ],
  "active": true,
  "title": "Software Engineer",
  "timezone": "America/Chicago",
  "meta": {
    "resourceType": "User"
  },
  "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
    "employeeNumber": "0603"
  }
}
Response examples (400)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (401)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (403)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (500)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (501)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}